/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef ADC1_DEFINES_H
#define ADC1_DEFINES_H

/* XML Version 2.1.4 */
#define ADC1_XML_VERSION (20104)

#define ADC1_CHx_EIM (0x10004) /*decimal 65540*/

#define ADC1_CHx_ESM (0x0) /*decimal 0*/

#define ADC1_CLK (0x18) /*decimal 24*/

#define ADC1_DWSEL (0x0) /*decimal 0*/

#define ADC1_GLOBCTR (0x300) /*decimal 768*/

#define ADC1_IE (0x100) /*decimal 256*/

#define ADC1_RES_OUT0 (0x0) /*decimal 0*/

#define ADC1_RES_OUT1 (0x0) /*decimal 0*/

#define ADC1_RES_OUT2 (0x0) /*decimal 0*/

#define ADC1_RES_OUT3 (0x0) /*decimal 0*/

#define ADC1_RES_OUT4 (0x0) /*decimal 0*/

#define ADC1_RES_OUT5 (0x0) /*decimal 0*/

#define ADC1_RES_OUT6 (0x0) /*decimal 0*/

#define ADC1_RES_OUT_EIM (0x0) /*decimal 0*/

#define ADC1_SQ1_4 (0x1) /*decimal 1*/

#define ADC1_SQ5_8 (0x0) /*decimal 0*/

#define ADC1_SQ_FB (0x100) /*decimal 256*/

#define ADC1_STC_0_3 (0x1400) /*decimal 5120*/

#define ADC1_STC_4_7 (0x14) /*decimal 20*/

#define MF_P2_ADCSEL_CTRL (0x0) /*decimal 0*/

#define MF_REF2_CTRL (0x1) /*decimal 1*/

#define MF_VMON_SEN_CTRL (0x0) /*decimal 0*/

#endif /* ADC1_DEFINES_H */
