/*sha256=032739338589CA1317A45BA4A270DC4FCF865EC368AB7BC819F166E5CD5D2039*/
/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*------------------------------------------------------------------------------
IFXConfigWizard output file
created on:Do Nov 5 20:35:06 2020
------------------------------------------------------------------------------*/

#ifndef _PORT_DEFINES_H
#define _PORT_DEFINES_H

#ifndef IFXConfigWizard_Version
  #define IFXConfigWizard_Version 1.8.7
#endif

/* XML Version 1.4.5 */
#ifndef PORT_XML_VERSION
  #define PORT_XML_VERSION 10405
#endif

/*PORT_P0_0_ALT: 0*/
#ifndef PORT_P0_0_ALT
  #define PORT_P0_0_ALT (0x0u)
#endif

/*PORT_P0_0_PUD: 0*/
#ifndef PORT_P0_0_PUD
  #define PORT_P0_0_PUD (0x0u)
#endif

/*PORT_P0_1_ALT: 0*/
#ifndef PORT_P0_1_ALT
  #define PORT_P0_1_ALT (0x0u)
#endif

/*PORT_P0_1_PUD: 0*/
#ifndef PORT_P0_1_PUD
  #define PORT_P0_1_PUD (0x0u)
#endif

/*PORT_P0_2_ALT: 0*/
#ifndef PORT_P0_2_ALT
  #define PORT_P0_2_ALT (0x0u)
#endif

/*PORT_P0_2_PUD: 0*/
#ifndef PORT_P0_2_PUD
  #define PORT_P0_2_PUD (0x0u)
#endif

/*PORT_P0_3_ALT: 0*/
#ifndef PORT_P0_3_ALT
  #define PORT_P0_3_ALT (0x0u)
#endif

/*PORT_P0_3_PUD: 0*/
#ifndef PORT_P0_3_PUD
  #define PORT_P0_3_PUD (0x0u)
#endif

/*PORT_P0_4_ALT: 0*/
#ifndef PORT_P0_4_ALT
  #define PORT_P0_4_ALT (0x0u)
#endif

/*PORT_P0_4_PUD: 0*/
#ifndef PORT_P0_4_PUD
  #define PORT_P0_4_PUD (0x0u)
#endif

/*PORT_P0_ALTSEL0: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_ALTSEL0
  #define PORT_P0_ALTSEL0 (0x0u)
#endif

/*PORT_P0_ALTSEL1: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_ALTSEL1
  #define PORT_P0_ALTSEL1 (0x0u)
#endif

/*PORT_P0_DATA: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_DATA
  #define PORT_P0_DATA (0x0u)
#endif

/*PORT_P0_DIR: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_DIR
  #define PORT_P0_DIR (0x0u)
#endif

/*PORT_P0_OD: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_OD
  #define PORT_P0_OD (0x0u)
#endif

/*PORT_P0_PUDEN: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_PUDEN
  #define PORT_P0_PUDEN (0x0u)
#endif

/*PORT_P0_PUDSEL: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P0_PUDSEL
  #define PORT_P0_PUDSEL (0x0u)
#endif

/*PORT_P1_0_ALT: 0*/
#ifndef PORT_P1_0_ALT
  #define PORT_P1_0_ALT (0x0u)
#endif

/*PORT_P1_0_PUD: 0*/
#ifndef PORT_P1_0_PUD
  #define PORT_P1_0_PUD (0x0u)
#endif

/*PORT_P1_1_ALT: 0*/
#ifndef PORT_P1_1_ALT
  #define PORT_P1_1_ALT (0x0u)
#endif

/*PORT_P1_1_PUD: 0*/
#ifndef PORT_P1_1_PUD
  #define PORT_P1_1_PUD (0x0u)
#endif

/*PORT_P1_2_ALT: 0*/
#ifndef PORT_P1_2_ALT
  #define PORT_P1_2_ALT (0x0u)
#endif

/*PORT_P1_2_PUD: 0*/
#ifndef PORT_P1_2_PUD
  #define PORT_P1_2_PUD (0x0u)
#endif

/*PORT_P1_3_ALT: 0*/
#ifndef PORT_P1_3_ALT
  #define PORT_P1_3_ALT (0x0u)
#endif

/*PORT_P1_3_PUD: 0*/
#ifndef PORT_P1_3_PUD
  #define PORT_P1_3_PUD (0x0u)
#endif

/*PORT_P1_4_ALT: 0*/
#ifndef PORT_P1_4_ALT
  #define PORT_P1_4_ALT (0x0u)
#endif

/*PORT_P1_4_PUD: 0*/
#ifndef PORT_P1_4_PUD
  #define PORT_P1_4_PUD (0x0u)
#endif

/*PORT_P1_ALTSEL0: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_ALTSEL0
  #define PORT_P1_ALTSEL0 (0x0u)
#endif

/*PORT_P1_ALTSEL1: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_ALTSEL1
  #define PORT_P1_ALTSEL1 (0x0u)
#endif

/*PORT_P1_DATA: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_DATA
  #define PORT_P1_DATA (0x0u)
#endif

/*PORT_P1_DIR: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_DIR
  #define PORT_P1_DIR (0x0u)
#endif

/*PORT_P1_OD: (0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_OD
  #define PORT_P1_OD (0x0u)
#endif

/*PORT_P1_PUDEN: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_PUDEN
  #define PORT_P1_PUDEN (0x0u)
#endif

/*PORT_P1_PUDSEL: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)*/
#ifndef PORT_P1_PUDSEL
  #define PORT_P1_PUDSEL (0x0u)
#endif

/*PORT_P2_0_PUD: 0*/
#ifndef PORT_P2_0_PUD
  #define PORT_P2_0_PUD (0x0u)
#endif

/*PORT_P2_1_PUD: 0*/
#ifndef PORT_P2_1_PUD
  #define PORT_P2_1_PUD (0x0u)
#endif

/*PORT_P2_2_PUD: 0*/
#ifndef PORT_P2_2_PUD
  #define PORT_P2_2_PUD (0x0u)
#endif

/*PORT_P2_3_PUD: 0*/
#ifndef PORT_P2_3_PUD
  #define PORT_P2_3_PUD (0x0u)
#endif

/*PORT_P2_4_PUD: 0*/
#ifndef PORT_P2_4_PUD
  #define PORT_P2_4_PUD (0x0u)
#endif

/*PORT_P2_5_PUD: 0*/
#ifndef PORT_P2_5_PUD
  #define PORT_P2_5_PUD (0x0u)
#endif

/*PORT_P2_DIR: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef PORT_P2_DIR
  #define PORT_P2_DIR (0x0u)
#endif

/*PORT_P2_PUDEN: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef PORT_P2_PUDEN
  #define PORT_P2_PUDEN (0x0u)
#endif

/*PORT_P2_PUDSEL: 0|(0<<1)|(0<<2)|(0<<3)|(0<<4)|(0<<5)*/
#ifndef PORT_P2_PUDSEL
  #define PORT_P2_PUDSEL (0x0u)
#endif


#endif
