/*sha256=745563BD845CEABBF618F8405CAC2A72201FA69457C6E9D90D7670E521ACED62*/
/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2015, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/

/*------------------------------------------------------------------------------
IFXConfigWizard output file
created on:Do Nov 5 20:35:18 2020
------------------------------------------------------------------------------*/

#ifndef _ISR_DEFINES_H
#define _ISR_DEFINES_H

#ifndef IFXConfigWizard_Version
  #define IFXConfigWizard_Version 1.8.7
#endif

/* XML Version 1.4.5 */
#ifndef ISR_XML_VERSION
  #define ISR_XML_VERSION 10405
#endif

#ifndef ADC1_CH0_CALLBACK
#define ADC1_CH0_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH0_INT_EN
  #define ADC1_CH0_INT_EN 0
#endif

#ifndef ADC1_CH1_CALLBACK
#define ADC1_CH1_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH1_INT_EN
  #define ADC1_CH1_INT_EN 0
#endif

#ifndef ADC1_CH2_CALLBACK
#define ADC1_CH2_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH2_INT_EN
  #define ADC1_CH2_INT_EN 0
#endif

#ifndef ADC1_CH3_CALLBACK
#define ADC1_CH3_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH3_INT_EN
  #define ADC1_CH3_INT_EN 0
#endif

#ifndef ADC1_CH4_CALLBACK
#define ADC1_CH4_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH4_INT_EN
  #define ADC1_CH4_INT_EN 0
#endif

#ifndef ADC1_CH5_CALLBACK
#define ADC1_CH5_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH5_INT_EN
  #define ADC1_CH5_INT_EN 0
#endif

#ifndef ADC1_CH6_CALLBACK
#define ADC1_CH6_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_CH6_INT_EN
  #define ADC1_CH6_INT_EN 0
#endif

#ifndef ADC1_EIM_CALLBACK
#define ADC1_EIM_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_EIM_INT_EN
  #define ADC1_EIM_INT_EN 0
#endif

#ifndef ADC1_ESM_CALLBACK
#define ADC1_ESM_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC1_ESM_INT_EN
  #define ADC1_ESM_INT_EN 0
#endif

#ifndef ADC2_PMU_TEMP_LO_CALLBACK
#define ADC2_PMU_TEMP_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_PMU_TEMP_LO_INT_EN
  #define ADC2_PMU_TEMP_LO_INT_EN 0
#endif

#ifndef ADC2_PMU_TEMP_UP_CALLBACK
#define ADC2_PMU_TEMP_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_PMU_TEMP_UP_INT_EN
  #define ADC2_PMU_TEMP_UP_INT_EN 0
#endif

#ifndef ADC2_SYS_TEMP_LO_CALLBACK
#define ADC2_SYS_TEMP_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_SYS_TEMP_LO_INT_EN
  #define ADC2_SYS_TEMP_LO_INT_EN 0
#endif

#ifndef ADC2_SYS_TEMP_UP_CALLBACK
#define ADC2_SYS_TEMP_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_SYS_TEMP_UP_INT_EN
  #define ADC2_SYS_TEMP_UP_INT_EN 0
#endif

#ifndef ADC2_VAREF_LO_CALLBACK
#define ADC2_VAREF_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VAREF_LO_INT_EN
  #define ADC2_VAREF_LO_INT_EN 0
#endif

#ifndef ADC2_VAREF_OL_CALLBACK
#define ADC2_VAREF_OL_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VAREF_OL_INT_EN
  #define ADC2_VAREF_OL_INT_EN 0
#endif

#ifndef ADC2_VAREF_UP_CALLBACK
#define ADC2_VAREF_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VAREF_UP_INT_EN
  #define ADC2_VAREF_UP_INT_EN 0
#endif

#ifndef ADC2_VBAT_LO_CALLBACK
#define ADC2_VBAT_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VBAT_LO_INT_EN
  #define ADC2_VBAT_LO_INT_EN 0
#endif

#ifndef ADC2_VBAT_UP_CALLBACK
#define ADC2_VBAT_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VBAT_UP_INT_EN
  #define ADC2_VBAT_UP_INT_EN 0
#endif

#ifndef ADC2_VBG_LO_CALLBACK
#define ADC2_VBG_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VBG_LO_INT_EN
  #define ADC2_VBG_LO_INT_EN 0
#endif

#ifndef ADC2_VBG_UP_CALLBACK
#define ADC2_VBG_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VBG_UP_INT_EN
  #define ADC2_VBG_UP_INT_EN 0
#endif

#ifndef ADC2_VCP_LO_CALLBACK
#define ADC2_VCP_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VCP_LO_INT_EN
  #define ADC2_VCP_LO_INT_EN 0
#endif

#ifndef ADC2_VCP_UP_CALLBACK
#define ADC2_VCP_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VCP_UP_INT_EN
  #define ADC2_VCP_UP_INT_EN 0
#endif

#ifndef ADC2_VDDC_LO_CALLBACK
#define ADC2_VDDC_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VDDC_LO_INT_EN
  #define ADC2_VDDC_LO_INT_EN 0
#endif

#ifndef ADC2_VDDC_UP_CALLBACK
#define ADC2_VDDC_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VDDC_UP_INT_EN
  #define ADC2_VDDC_UP_INT_EN 0
#endif

#ifndef ADC2_VDDP_LO_CALLBACK
#define ADC2_VDDP_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VDDP_LO_INT_EN
  #define ADC2_VDDP_LO_INT_EN 0
#endif

#ifndef ADC2_VDDP_UP_CALLBACK
#define ADC2_VDDP_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VDDP_UP_INT_EN
  #define ADC2_VDDP_UP_INT_EN 0
#endif

#ifndef ADC2_VSD_LO_CALLBACK
#define ADC2_VSD_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VSD_LO_INT_EN
  #define ADC2_VSD_LO_INT_EN 0
#endif

#ifndef ADC2_VSD_UP_CALLBACK
#define ADC2_VSD_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VSD_UP_INT_EN
  #define ADC2_VSD_UP_INT_EN 0
#endif

#ifndef ADC2_VS_LO_CALLBACK
#define ADC2_VS_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VS_LO_INT_EN
  #define ADC2_VS_LO_INT_EN 0
#endif

#ifndef ADC2_VS_UP_CALLBACK
#define ADC2_VS_UP_CALLBACK place_your_function_call_back_here
#endif

#ifndef ADC2_VS_UP_INT_EN
  #define ADC2_VS_UP_INT_EN 0
#endif

#ifndef BDRV_HS1_DS_CALLBACK
#define BDRV_HS1_DS_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_HS1_DS_INT_EN
  #define BDRV_HS1_DS_INT_EN 0
#endif

#ifndef BDRV_HS1_OC_CALLBACK
#define BDRV_HS1_OC_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_HS1_OC_INT_EN
  #define BDRV_HS1_OC_INT_EN 0
#endif

#ifndef BDRV_HS2_DS_CALLBACK
#define BDRV_HS2_DS_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_HS2_DS_INT_EN
  #define BDRV_HS2_DS_INT_EN 0
#endif

#ifndef BDRV_HS2_OC_CALLBACK
#define BDRV_HS2_OC_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_HS2_OC_INT_EN
  #define BDRV_HS2_OC_INT_EN 0
#endif

#ifndef BDRV_LS1_DS_CALLBACK
#define BDRV_LS1_DS_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_LS1_DS_INT_EN
  #define BDRV_LS1_DS_INT_EN 0
#endif

#ifndef BDRV_LS1_OC_CALLBACK
#define BDRV_LS1_OC_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_LS1_OC_INT_EN
  #define BDRV_LS1_OC_INT_EN 0
#endif

#ifndef BDRV_LS2_DS_CALLBACK
#define BDRV_LS2_DS_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_LS2_DS_INT_EN
  #define BDRV_LS2_DS_INT_EN 0
#endif

#ifndef BDRV_LS2_OC_CALLBACK
#define BDRV_LS2_OC_CALLBACK place_your_function_call_back_here
#endif

#ifndef BDRV_LS2_OC_INT_EN
  #define BDRV_LS2_OC_INT_EN 0
#endif

#ifndef BDRV_VCP_LO2_INT_EN
  #define BDRV_VCP_LO2_INT_EN 0
#endif

#ifndef BDRV_VCP_LO_CALLBACK
#define BDRV_VCP_LO_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH0_CM_F_CALLBACK
#define CCU6_CH0_CM_F_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH0_CM_F_INT_EN
  #define CCU6_CH0_CM_F_INT_EN 0
#endif

#ifndef CCU6_CH0_CM_R_CALLBACK
#define CCU6_CH0_CM_R_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH0_CM_R_INT_EN
  #define CCU6_CH0_CM_R_INT_EN 0
#endif

#ifndef CCU6_CH1_CM_F_CALLBACK
#define CCU6_CH1_CM_F_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH1_CM_F_INT_EN
  #define CCU6_CH1_CM_F_INT_EN 0
#endif

#ifndef CCU6_CH1_CM_R_CALLBACK
#define CCU6_CH1_CM_R_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH1_CM_R_INT_EN
  #define CCU6_CH1_CM_R_INT_EN 0
#endif

#ifndef CCU6_CH2_CM_F_CALLBACK
#define CCU6_CH2_CM_F_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH2_CM_F_INT_EN
  #define CCU6_CH2_CM_F_INT_EN 0
#endif

#ifndef CCU6_CH2_CM_R_CALLBACK
#define CCU6_CH2_CM_R_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_CH2_CM_R_INT_EN
  #define CCU6_CH2_CM_R_INT_EN 0
#endif

#ifndef CCU6_CHE_INT_EN
  #define CCU6_CHE_INT_EN 0
#endif

#ifndef CCU6_CORRECT_HALL_CALLBACK
#define CCU6_CORRECT_HALL_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_MCM_STR_CALLBACK
#define CCU6_MCM_STR_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_MCM_STR_INT_EN
  #define CCU6_MCM_STR_INT_EN 0
#endif

#ifndef CCU6_T12_OM_CALLBACK
#define CCU6_T12_OM_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_T12_OM_INT_EN
  #define CCU6_T12_OM_INT_EN 0
#endif

#ifndef CCU6_T12_PM_CALLBACK
#define CCU6_T12_PM_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_T12_PM_INT_EN
  #define CCU6_T12_PM_INT_EN 0
#endif

#ifndef CCU6_T13_CM_CALLBACK
#define CCU6_T13_CM_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_T13_CM_INT_EN
  #define CCU6_T13_CM_INT_EN 0
#endif

#ifndef CCU6_T13_PM_CALLBACK
#define CCU6_T13_PM_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_T13_PM_INT_EN
  #define CCU6_T13_PM_INT_EN 0
#endif

#ifndef CCU6_TRAP_CALLBACK
#define CCU6_TRAP_CALLBACK place_your_function_call_back_here
#endif

#ifndef CCU6_TRAP_INT_EN
  #define CCU6_TRAP_INT_EN 0
#endif

#ifndef CCU6_WHE_INT_EN
  #define CCU6_WHE_INT_EN 0
#endif

#ifndef CCU6_WRONG_HALL_CALLBACK
#define CCU6_WRONG_HALL_CALLBACK place_your_function_call_back_here
#endif

#ifndef CPU_BUSFAULT_CALLBACK
#define CPU_BUSFAULT_CALLBACK place_your_function_call_back_here
#endif

#ifndef CPU_HARDFAULT_CALLBACK
#define CPU_HARDFAULT_CALLBACK place_your_function_call_back_here
#endif

#ifndef CPU_MEMMANAGE_CALLBACK
#define CPU_MEMMANAGE_CALLBACK place_your_function_call_back_here
#endif

#ifndef CPU_SYSTICK_CALLBACK
#define CPU_SYSTICK_CALLBACK place_your_function_call_back_here
#endif

#ifndef CPU_USAGEFAULT_CALLBACK
#define CPU_USAGEFAULT_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH1_CALLBACK
#define DMA_CH1_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH1_INT_EN
  #define DMA_CH1_INT_EN 0
#endif

#ifndef DMA_CH2_CALLBACK
#define DMA_CH2_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH2_INT_EN
  #define DMA_CH2_INT_EN 0
#endif

#ifndef DMA_CH3_CALLBACK
#define DMA_CH3_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH3_INT_EN
  #define DMA_CH3_INT_EN 0
#endif

#ifndef DMA_CH4_CALLBACK
#define DMA_CH4_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH4_INT_EN
  #define DMA_CH4_INT_EN 0
#endif

#ifndef DMA_CH5_CALLBACK
#define DMA_CH5_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH5_INT_EN
  #define DMA_CH5_INT_EN 0
#endif

#ifndef DMA_CH6_CALLBACK
#define DMA_CH6_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH6_INT_EN
  #define DMA_CH6_INT_EN 0
#endif

#ifndef DMA_CH7_CALLBACK
#define DMA_CH7_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH7_INT_EN
  #define DMA_CH7_INT_EN 0
#endif

#ifndef DMA_CH8_CALLBACK
#define DMA_CH8_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_CH8_INT_EN
  #define DMA_CH8_INT_EN 0
#endif

#ifndef DMA_GPT12E_CALLBACK
#define DMA_GPT12E_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_GPT12E_INT_EN
  #define DMA_GPT12E_INT_EN 0
#endif

#ifndef DMA_SQ1_RDY_CALLBACK
#define DMA_SQ1_RDY_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_SQ1_RDY_INT_EN
  #define DMA_SQ1_RDY_INT_EN 0
#endif

#ifndef DMA_SQ2_RDY_CALLBACK
#define DMA_SQ2_RDY_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_SQ2_RDY_INT_EN
  #define DMA_SQ2_RDY_INT_EN 0
#endif

#ifndef DMA_SSC_RX_CALLBACK
#define DMA_SSC_RX_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_SSC_RX_INT_EN
  #define DMA_SSC_RX_INT_EN 0
#endif

#ifndef DMA_SSC_TX_CALLBACK
#define DMA_SSC_TX_CALLBACK place_your_function_call_back_here
#endif

#ifndef DMA_SSC_TX_INT_EN
  #define DMA_SSC_TX_INT_EN 0
#endif

#ifndef EXINT0_FALLING_CALLBACK
#define EXINT0_FALLING_CALLBACK place_your_function_call_back_here
#endif

#ifndef EXINT0_RISING_CALLBACK
#define EXINT0_RISING_CALLBACK place_your_function_call_back_here
#endif

#ifndef EXINT1_FALLING_CALLBACK
#define EXINT1_FALLING_CALLBACK place_your_function_call_back_here
#endif

#ifndef EXINT1_RISING_CALLBACK
#define EXINT1_RISING_CALLBACK place_your_function_call_back_here
#endif

#ifndef EXINT2_FALLING_CALLBACK
#define EXINT2_FALLING_CALLBACK place_your_function_call_back_here
#endif

#ifndef EXINT2_RISING_CALLBACK
#define EXINT2_RISING_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT12E_CAP_INT_EN
  #define GPT12E_CAP_INT_EN 0
#endif

#ifndef GPT12E_T2_INT_EN
  #define GPT12E_T2_INT_EN 0
#endif

#ifndef GPT12E_T3_INT_EN
  #define GPT12E_T3_INT_EN 0
#endif

#ifndef GPT12E_T4_INT_EN
  #define GPT12E_T4_INT_EN 0
#endif

#ifndef GPT12E_T5_INT_EN
  #define GPT12E_T5_INT_EN 0
#endif

#ifndef GPT12E_T6_INT_EN
  #define GPT12E_T6_INT_EN 0
#endif

#ifndef GPT1_T2_CALLBACK
#define GPT1_T2_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT1_T3_CALLBACK
#define GPT1_T3_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT1_T4_CALLBACK
#define GPT1_T4_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT2_CAPREL_CALLBACK
#define GPT2_CAPREL_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT2_T5_CALLBACK
#define GPT2_T5_CALLBACK place_your_function_call_back_here
#endif

#ifndef GPT2_T6_CALLBACK
#define GPT2_T6_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_EOF_CALLBACK
#define LIN_EOF_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_EOF_INT_EN
  #define LIN_EOF_INT_EN 0
#endif

#ifndef LIN_ERR_CALLBACK
#define LIN_ERR_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_ERR_INT_EN
  #define LIN_ERR_INT_EN 0
#endif

#ifndef LIN_OC_CALLBACK
#define LIN_OC_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_OC_INT_EN
  #define LIN_OC_INT_EN 0
#endif

#ifndef LIN_OT_CALLBACK
#define LIN_OT_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_OT_INT_EN
  #define LIN_OT_INT_EN 0
#endif

#ifndef LIN_TMOUT_CALLBACK
#define LIN_TMOUT_CALLBACK place_your_function_call_back_here
#endif

#ifndef LIN_TMOUT_INT_EN
  #define LIN_TMOUT_INT_EN 0
#endif

#ifndef MON_FALLING_CALLBACK
#define MON_FALLING_CALLBACK place_your_function_call_back_here
#endif

#ifndef MON_FALLING_INT_EN
  #define MON_FALLING_INT_EN 0
#endif

#ifndef MON_RISING_CALLBACK
#define MON_RISING_CALLBACK place_your_function_call_back_here
#endif

#ifndef MON_RISING_INT_EN
  #define MON_RISING_INT_EN 0
#endif

#ifndef PMU_VDDC_OL_CALLBACK
#define PMU_VDDC_OL_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDC_OL_INT_EN
  #define PMU_VDDC_OL_INT_EN 0
#endif

#ifndef PMU_VDDC_OV_CALLBACK
#define PMU_VDDC_OV_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDC_OV_INT_EN
  #define PMU_VDDC_OV_INT_EN 0
#endif

#ifndef PMU_VDDEXT_OL_CALLBACK
#define PMU_VDDEXT_OL_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDEXT_OL_INT_EN
  #define PMU_VDDEXT_OL_INT_EN 0
#endif

#ifndef PMU_VDDEXT_OV_CALLBACK
#define PMU_VDDEXT_OV_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDEXT_OV_INT_EN
  #define PMU_VDDEXT_OV_INT_EN 0
#endif

#ifndef PMU_VDDEXT_SHORT_CALLBACK
#define PMU_VDDEXT_SHORT_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDEXT_SHORT_INT_EN
  #define PMU_VDDEXT_SHORT_INT_EN 0
#endif

#ifndef PMU_VDDP_OL_CALLBACK
#define PMU_VDDP_OL_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDP_OL_INT_EN
  #define PMU_VDDP_OL_INT_EN 0
#endif

#ifndef PMU_VDDP_OV_CALLBACK
#define PMU_VDDP_OV_CALLBACK place_your_function_call_back_here
#endif

#ifndef PMU_VDDP_OV_INT_EN
  #define PMU_VDDP_OV_INT_EN 0
#endif

#ifndef SCU_ECC_NVM_DB_CALLBACK
#define SCU_ECC_NVM_DB_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_ECC_NVM_DB_INT_EN
  #define SCU_ECC_NVM_DB_INT_EN 0
#endif

#ifndef SCU_ECC_RAM_DB_CALLBACK
#define SCU_ECC_RAM_DB_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_ECC_RAM_DB_INT_EN
  #define SCU_ECC_RAM_DB_INT_EN 0
#endif

#ifndef SCU_EXINT0_FALLING_INT_EN
  #define SCU_EXINT0_FALLING_INT_EN 0
#endif

#ifndef SCU_EXINT0_RISING_INT_EN
  #define SCU_EXINT0_RISING_INT_EN 0
#endif

#ifndef SCU_NMI_MAP_CALLBACK
#define SCU_NMI_MAP_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_NMI_MAP_INT_EN
  #define SCU_NMI_MAP_INT_EN 0
#endif

#ifndef SCU_NMI_NVM_CALLBACK
#define SCU_NMI_NVM_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_NMI_NVM_INT_EN
  #define SCU_NMI_NVM_INT_EN 0
#endif

#ifndef SCU_NMI_OWD_CALLBACK
#define SCU_NMI_OWD_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_NMI_OWD_INT_EN
  #define SCU_NMI_OWD_INT_EN 0
#endif

#ifndef SCU_NMI_PLL_CALLBACK
#define SCU_NMI_PLL_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_NMI_PLL_INT_EN
  #define SCU_NMI_PLL_INT_EN 0
#endif

#ifndef SCU_NMI_WDT_CALLBACK
#define SCU_NMI_WDT_CALLBACK place_your_function_call_back_here
#endif

#ifndef SCU_NMI_WDT_INT_EN
  #define SCU_NMI_WDT_INT_EN 0
#endif

#ifndef SSC1_ERR_CALLBACK
#define SSC1_ERR_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC1_ERR_INT_EN
  #define SSC1_ERR_INT_EN 0
#endif

#ifndef SSC1_RX_CALLBACK
#define SSC1_RX_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC1_RX_INT_EN
  #define SSC1_RX_INT_EN 0
#endif

#ifndef SSC1_TX_CALLBACK
#define SSC1_TX_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC1_TX_INT_EN
  #define SSC1_TX_INT_EN 0
#endif

#ifndef SSC2_ERR_CALLBACK
#define SSC2_ERR_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC2_ERR_INT_EN
  #define SSC2_ERR_INT_EN 0
#endif

#ifndef SSC2_RX_CALLBACK
#define SSC2_RX_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC2_RX_INT_EN
  #define SSC2_RX_INT_EN 0
#endif

#ifndef SSC2_TX_CALLBACK
#define SSC2_TX_CALLBACK place_your_function_call_back_here
#endif

#ifndef SSC2_TX_INT_EN
  #define SSC2_TX_INT_EN 0
#endif

#ifndef TIMER21_EXF2_CALLBACK
#define TIMER21_EXF2_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER21_EXF2_INT_EN
  #define TIMER21_EXF2_INT_EN 0
#endif

#ifndef TIMER21_TF2_CALLBACK
#define TIMER21_TF2_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER21_TF2_INT_EN
  #define TIMER21_TF2_INT_EN 0
#endif

#ifndef TIMER2_EXF2_CALLBACK
#define TIMER2_EXF2_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER2_EXF2_INT_EN
  #define TIMER2_EXF2_INT_EN 0
#endif

#ifndef TIMER2_TF2_CALLBACK
#define TIMER2_TF2_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER2_TF2_INT_EN
  #define TIMER2_TF2_INT_EN 0
#endif

#ifndef TIMER3_HBOF_CALLBACK
#define TIMER3_HBOF_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER3_HB_INT_EN
  #define TIMER3_HB_INT_EN 0
#endif

#ifndef TIMER3_LBOF_CALLBACK
#define TIMER3_LBOF_CALLBACK place_your_function_call_back_here
#endif

#ifndef TIMER3_LB_INT_EN
  #define TIMER3_LB_INT_EN 0
#endif

#ifndef UART1_RX_CALLBACK
#define UART1_RX_CALLBACK place_your_function_call_back_here
#endif

#ifndef UART1_RX_INT_EN
  #define UART1_RX_INT_EN 0
#endif

#ifndef UART1_TX_CALLBACK
#define UART1_TX_CALLBACK place_your_function_call_back_here
#endif

#ifndef UART1_TX_INT_EN
  #define UART1_TX_INT_EN 0
#endif

#ifndef UART2_RX_CALLBACK
#define UART2_RX_CALLBACK place_your_function_call_back_here
#endif

#ifndef UART2_RX_INT_EN
  #define UART2_RX_INT_EN 0
#endif

#ifndef UART2_TX_CALLBACK
#define UART2_TX_CALLBACK place_your_function_call_back_here
#endif

#ifndef UART2_TX_INT_EN
  #define UART2_TX_INT_EN 0
#endif


#endif
