/**
 * @cond
 ***********************************************************************************************************************
 *
 * Copyright (c) 2018, Infineon Technologies AG
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,are permitted provided that the
 * following conditions are met:
 *
 *   Redistributions of source code must retain the above copyright notice, this list of conditions and the  following
 *   disclaimer.
 *
 *   Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the
 *   following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   Neither the name of the copyright holders nor the names of its contributors may be used to endorse or promote
 *   products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE  FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY,OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  OF THE
 * USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 **********************************************************************************************************************/
#ifndef BDRV_DEFINES_H
#define BDRV_DEFINES_H

/* XML Version 2.1.4 */
#define BDRV_XML_VERSION (20104)

#define BDRV_CP_CLK (0xE1) /*decimal 225*/

#define BDRV_CP_CLK_CTRL (0xCA16) /*decimal 51734*/

#define BDRV_CP_CLK_SRC (0x112A880) /*decimal 18000000*/

#define BDRV_CP_CTRL_STS (0xC000000) /*decimal 201326592*/

#define BDRV_CTRL1 (0x0) /*decimal 0*/

#define BDRV_CTRL3 (0x11111) /*decimal 69905*/

#define BDRV_EFF_CRG_CURR (89.9609)

#define BDRV_EFF_DISCRG_CURR (89.9609)

#define BDRV_HSx_LSx_OC_DIS (0x0) /*decimal 0*/

#define BDRV_LO_DITH (209.3)

#define BDRV_LO_DITH_FREQ (0xD1) /*decimal 209*/

#define BDRV_OFF_SEQ_CTRL (0x0) /*decimal 0*/

#define BDRV_ON_SEQ_CTRL (0x0) /*decimal 0*/

#define BDRV_TRIM_DRVx (0x0) /*decimal 0*/

#define BDRV_UP_DITH (243.24)

#define BDRV_UP_DITH_FREQ (0xF3) /*decimal 243*/

#endif /* BDRV_DEFINES_H */
